libzypp 17.38.15

ResolverNamespace.h File Reference
`#include <iosfwd>`
`#include <cstdint>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/Flags.h>`
`#include <zypp/IdString.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Enumerations
enum class | zypp::ResolverNamespace : std::uint8_t { zypp::language = 1<<0 , zypp::modalias = 1<<1 , zypp::filesystem = 1<<2 }
| The resolver's dependency namespaces. More...

## Functions
| zypp::ZYPP_DECLARE_FLAGS_AND_OPERATORS (ResolverNamespaces, ResolverNamespace)
| relates: ResolverNamespace Flags
constexpr IdString | zypp::asIdString (ResolverNamespace obj)
| relates: ResolverNamespace All bits set.
std::string | zypp::asString (ResolverNamespace obj)
| relates: ResolverNamespace String representation
std::ostream & | zypp::operator<< (std::ostream &str, ResolverNamespace obj)
| relates: ResolverNamespace Stream output
std::ostream & | zypp::operator<< (std::ostream &str, ResolverNamespaces obj)
| relates: ResolverNamespaces Stream output